crashpad::MemoryMapRegionSnapshot Class Referenceabstract

An abstract interface to a snapshot representing a region of the memory map present in the snapshot process. More...

`#include "snapshot/memory_map_region_snapshot.h"`

Inheritance diagram for crashpad::MemoryMapRegionSnapshot:

## Public Member Functions

virtual const MINIDUMP_MEMORY_INFO & | AsMinidumpMemoryInfo () const =0
| Gets a MINIDUMP_MEMORY_INFO representing the region.

## Detailed Description

An abstract interface to a snapshot representing a region of the memory map present in the snapshot process.

The documentation for this class was generated from the following file:

- snapshot/memory_map_region_snapshot.h